rNOMADS package

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

rNOMADS package

Philip
I am struggling to install a fix for the rNOMADS package which reads National Weather Service data.  I copied the fix (rNOMADS_2.5.0.tar.gz) from an email to a local drive and then tried to install it with the command below.  I also tried installing it without the .tar.gz extension and without the _2.5.0 extension but I get the same error message.  The author, Daniel Bowman, emailed me that the fix should work for R version 4.0 or better.

Do I need to untar it?

install.packages("C://Documents/Ballooning/WeatherBriefing/rNOMADS_2.5.0.tar.gz")

Installing package into ‘C:/Users/Owner/Documents/R/win-library/4.0’
(as ‘lib’ is unspecified)
Warning in install.packages :
  package ‘C://Documents/Ballooning/WeatherBriefing/rNOMADS_2.5.0.tar.gz’ is not available (for R version 4.0.2)
        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: [External] rNOMADS package

Richard M. Heiberger
incorrect double slash c://
use single slash c:/

On Mon, Aug 24, 2020 at 11:21 Philip <[hidden email]> wrote:

> I am struggling to install a fix for the rNOMADS package which reads
> National Weather Service data.  I copied the fix (rNOMADS_2.5.0.tar.gz)
> from an email to a local drive and then tried to install it with the
> command below.  I also tried installing it without the .tar.gz extension
> and without the _2.5.0 extension but I get the same error message.  The
> author, Daniel Bowman, emailed me that the fix should work for R version
> 4.0 or better.
>
>
>
> Do I need to untar it?
>
>
>
>
> install.packages("C://Documents/Ballooning/WeatherBriefing/rNOMADS_2.5.0.tar.gz")
>
>
>
> Installing package into ‘C:/Users/Owner/Documents/R/win-library/4.0’
>
> (as ‘lib’ is unspecified)
>
> Warning in install.packages :
>
>   package ‘C://Documents/Ballooning/WeatherBriefing/rNOMADS_2.5.0.tar.gz’
> is not available (for R version 4.0.2)
>
>         [[alternative HTML version deleted]]
>
>
>
> ______________________________________________
>
> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
>
> https://stat.ethz.ch/mailman/listinfo/r-help
>
> PLEASE do read the posting guide
> http://www.R-project.org/posting-guide.html
>
> and provide commented, minimal, self-contained, reproducible code.
>
>

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: [External] rNOMADS package

R help mailing list-2
Add the arguments type="source" and repos=NULL to your call to
install.packages().  repos=NULL means that this is a local file, not
something to download from a repository.

Bill Dunlap
TIBCO Software
wdunlap tibco.com

On Mon, Aug 24, 2020 at 8:31 AM Richard M. Heiberger <[hidden email]> wrote:

>
> incorrect double slash c://
> use single slash c:/
>
> On Mon, Aug 24, 2020 at 11:21 Philip <[hidden email]> wrote:
>
> > I am struggling to install a fix for the rNOMADS package which reads
> > National Weather Service data.  I copied the fix (rNOMADS_2.5.0.tar.gz)
> > from an email to a local drive and then tried to install it with the
> > command below.  I also tried installing it without the .tar.gz extension
> > and without the _2.5.0 extension but I get the same error message.  The
> > author, Daniel Bowman, emailed me that the fix should work for R version
> > 4.0 or better.
> >
> >
> >
> > Do I need to untar it?
> >
> >
> >
> >
> > install.packages("C://Documents/Ballooning/WeatherBriefing/rNOMADS_2.5.0.tar.gz")
> >
> >
> >
> > Installing package into ‘C:/Users/Owner/Documents/R/win-library/4.0’
> >
> > (as ‘lib’ is unspecified)
> >
> > Warning in install.packages :
> >
> >   package ‘C://Documents/Ballooning/WeatherBriefing/rNOMADS_2.5.0.tar.gz’
> > is not available (for R version 4.0.2)
> >
> >         [[alternative HTML version deleted]]
> >
> >
> >
> > ______________________________________________
> >
> > [hidden email] mailing list -- To UNSUBSCRIBE and more, see
> >
> > https://stat.ethz.ch/mailman/listinfo/r-help
> >
> > PLEASE do read the posting guide
> > http://www.R-project.org/posting-guide.html
> >
> > and provide commented, minimal, self-contained, reproducible code.
> >
> >
>
>         [[alternative HTML version deleted]]
>
> ______________________________________________
> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
> and provide commented, minimal, self-contained, reproducible code.

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.